--- chan_sip.c.orig	2003-12-03 15:32:13.000000000 +1100
+++ chan_sip.c	2003-12-03 15:33:24.000000000 +1100
@@ -1112,12 +1112,15 @@
 				   INVITE, but do set an autodestruct just in case. */
 				needdestroy = 0;
 				sip_scheddestroy(p, 15000);
-				/* channel still up - reverse dec of inUse counter */
-				if ( p->outgoing ) {
-					find_user(p, INC_OUT_USE);
-				}
-				else {
-					find_user(p, INC_IN_USE);
+				if ( p->initid != -1 ) {
+					/* channel still up - reverse dec of inUse counter
+					   only if the channel is not auto-congested */
+					if ( p->outgoing ) {
+						find_user(p, INC_OUT_USE);
+					}
+					else {
+						find_user(p, INC_IN_USE);
+					}
 				}
 			} else {
 				char *res;
